I will be posting my full review of OS X 10.8 Mountain Lion soon, but for now keep the following two things in mind if you are considering upgrading (or you get a new Mac that came with it pre-installed).

  • The Cisco VPN Client app is not compatible with OS X 10.8, nor will it ever be
  • Parallels 6 (and older) is not compatible with OS X 10.8, and Parallels 7 must be updated to the latest version

My generic recommendations are (for now)…

  • if you are running OS X 10.6.8, and everything is working smoothly, don’t upgrade
  • If you are running OS X 10.7.x, and don’t rely on the Cisco VPN Client or Parallels 6, feel free to purchase the OS X 10.8 upgrade at your discretion